# $Revision: 1.83 $, $Date: 2012/06/02 10:44:59 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Core X11 protocol client library
Summary(pl.UTF-8):	Podstawowa biblioteka kliencka protokołu X11
Name:		xorg-lib-libX11
Version:	1.5.0
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libX11-%{version}.tar.bz2
# Source0-md5:	78b4b3bab4acbdf0abcfca30a8c70cc6
# sync locales and their encodings with glibc
Patch0:		%{name}-glibc-locale_sync.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	libtool
BuildRequires:	libxcb-devel >= 1.2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86bigfontproto-devel >= 1.2.0
BuildRequires:	xorg-proto-xproto-devel >= 7.0.21
BuildRequires:	xorg-sgml-doctools >= 1.10
BuildRequires:	xorg-util-util-macros >= 1.15
Requires:	libxcb >= 1.2
Obsoletes:	libX11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Core X11 protocol client library.

%description -l pl.UTF-8
Podstawowa biblioteka kliencka protokołu X11.

%package devel
Summary:	Header files for libX11 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libX11
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-kbproto-devel
Requires:	xorg-proto-xproto-devel >= 7.0.21
Requires:	libxcb-devel >= 1.2
Obsoletes:	libX11-devel

%description devel
Core X11 protocol client library.

This package contains the header files needed to develop programs that
use libX11.

%description devel -l pl.UTF-8
Podstawowa biblioteka kliencka protokołu X11.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libX11.

%package static
Summary:	Static libX11 library
Summary(pl.UTF-8):	Biblioteka statyczna libX11
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libX11-static

%description static
Core X11 protocol client library.

This package contains the static libX11 library.

%description static -l pl.UTF-8
Podstawowa biblioteka kliencka protokołu X11.

Pakiet zawiera statyczną bibliotekę libX11.

%prep
%setup -q -n libX11-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libX11

cd specs
for dir in XIM i18n/framework i18n/localedb i18n/trans libX11; do
	install -d rpm-doc/$dir
	cp -a $dir/*.html rpm-doc/$dir
	cp -a $dir/*.svg rpm-doc/$dir || :
	sed -i -e "s#$RPM_BUILD_ROOT##g" rpm-doc/$dir/*.html
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%pretrans
# this needs to be a dir
if [ -L %{_libdir}/X11 ]; then
	umask 022
	mv -f %{_libdir}/X11{,.rpmsave}
	mkdir %{_libdir}/X11
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libX11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libX11.so.6
%attr(755,root,root) %{_libdir}/libX11-xcb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libX11-xcb.so.1
%dir %{_libdir}/X11
%{_libdir}/X11/Xcms.txt
%dir %{_datadir}/X11
%{_datadir}/X11/XErrorDB
%dir %{_datadir}/X11/locale
%{_datadir}/X11/locale/compose.dir
%{_datadir}/X11/locale/locale.alias
%{_datadir}/X11/locale/locale.dir
%{_datadir}/X11/locale/C
%{_datadir}/X11/locale/en_US.UTF-8

# encodings, not really lang taggable
%{_datadir}/X11/locale/armscii-8
%{_datadir}/X11/locale/georgian-academy
%{_datadir}/X11/locale/georgian-ps
%{_datadir}/X11/locale/ibm-cp1133
%{_datadir}/X11/locale/iscii-dev
%{_datadir}/X11/locale/isiri-3342
%{_datadir}/X11/locale/iso8859-1
%{_datadir}/X11/locale/iso8859-10
%{_datadir}/X11/locale/iso8859-11
%{_datadir}/X11/locale/iso8859-13
%{_datadir}/X11/locale/iso8859-14
%{_datadir}/X11/locale/iso8859-15
%{_datadir}/X11/locale/iso8859-16
%{_datadir}/X11/locale/iso8859-2
%{_datadir}/X11/locale/iso8859-3
%{_datadir}/X11/locale/iso8859-4
%{_datadir}/X11/locale/iso8859-5
%{_datadir}/X11/locale/iso8859-6
%{_datadir}/X11/locale/iso8859-7
%{_datadir}/X11/locale/iso8859-8
%{_datadir}/X11/locale/iso8859-9
%{_datadir}/X11/locale/iso8859-9e
%{_datadir}/X11/locale/koi8-c
%{_datadir}/X11/locale/koi8-r
%{_datadir}/X11/locale/koi8-t
%{_datadir}/X11/locale/koi8-u
%{_datadir}/X11/locale/microsoft-cp1251
%{_datadir}/X11/locale/microsoft-cp1255
%{_datadir}/X11/locale/microsoft-cp1256
%{_datadir}/X11/locale/mulelao-1
%{_datadir}/X11/locale/nokhchi-1
%{_datadir}/X11/locale/tatar-cyr
%{_datadir}/X11/locale/tscii-0

%lang(am) %{_datadir}/X11/locale/am_ET.UTF-8
%lang(el) %{_datadir}/X11/locale/el_GR.UTF-8
%lang(fi) %{_datadir}/X11/locale/fi_FI.UTF-8
%lang(ja) %{_datadir}/X11/locale/ja
%lang(ja) %{_datadir}/X11/locale/ja.JIS
%lang(ja) %{_datadir}/X11/locale/ja.S90
%lang(ja) %{_datadir}/X11/locale/ja.SJIS
%lang(ja) %{_datadir}/X11/locale/ja.U90
%lang(ja) %{_datadir}/X11/locale/ja_JP.UTF-8
%lang(ko) %{_datadir}/X11/locale/ko
%lang(ko) %{_datadir}/X11/locale/ko_KR.UTF-8
%lang(pt_BR) %{_datadir}/X11/locale/pt_BR.UTF-8
%lang(ru) %{_datadir}/X11/locale/ru_RU.UTF-8
%lang(th) %{_datadir}/X11/locale/th_TH
%lang(th) %{_datadir}/X11/locale/th_TH.UTF-8
%lang(vi) %{_datadir}/X11/locale/vi_VN.tcvn
%lang(vi) %{_datadir}/X11/locale/vi_VN.viscii
%lang(zh_CN) %{_datadir}/X11/locale/zh_CN
%lang(zh_CN) %{_datadir}/X11/locale/zh_CN.UTF-8
%lang(zh_CN) %{_datadir}/X11/locale/zh_CN.gb18030
%lang(zh_CN) %{_datadir}/X11/locale/zh_CN.gbk
%lang(zh_HK) %{_datadir}/X11/locale/zh_HK.UTF-8
%lang(zh_HK) %{_datadir}/X11/locale/zh_HK.big5
%lang(zh_HK) %{_datadir}/X11/locale/zh_HK.big5hkscs
%lang(zh_TW) %{_datadir}/X11/locale/zh_TW
%lang(zh_TW) %{_datadir}/X11/locale/zh_TW.UTF-8
%lang(zh_TW) %{_datadir}/X11/locale/zh_TW.big5
%{_mandir}/man5/*Compose.5x*

%files devel
%defattr(644,root,root,755)
%doc specs/rpm-doc/*
%attr(755,root,root) %{_libdir}/libX11.so
%attr(755,root,root) %{_libdir}/libX11-xcb.so
%{_libdir}/libX11.la
%{_libdir}/libX11-xcb.la
%{_includedir}/X11/ImUtil.h
%{_includedir}/X11/X*.h
%{_includedir}/X11/cursorfont.h
%{_pkgconfigdir}/x11.pc
%{_pkgconfigdir}/x11-xcb.pc
%{_mandir}/man3/*.3x*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libX11.a
%{_libdir}/libX11-xcb.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libX11.spec,v $
Revision 1.83  2012/06/02 10:44:59  arekm
- up to 1.5.0

Revision 1.82  2012/05/27 07:11:26  arekm
- up to 1.4.99.902

Revision 1.81  2012/05/08 15:27:06  qboosh
- updated xorg-sgml-doctools version

Revision 1.80  2012/05/07 19:27:47  qboosh
- updated glibc-locale_sync patch

Revision 1.79  2012/05/03 07:24:51  arekm
- up to 1.4.99.901; locale patch needs update

Revision 1.78  2012/03/25 11:42:35  glen
- try fix multilib verify problems

Revision 1.77  2011/07/29 15:56:10  qboosh
- updated xf86bigfontproto and xorg-sgml-doctools versions

Revision 1.76  2011/07/29 07:01:08  arekm
- up to 1.4.4

Revision 1.75  2011/04/17 09:15:16  qboosh
- updated BRs and -devel xproto R

Revision 1.74  2011/04/05 21:35:06  arekm
- xorg-proto-xproto-devel >= 7.0.21 for Sinhala keysyms

Revision 1.73  2011/04/05 21:21:48  arekm
- up to 1.4.3

Revision 1.72  2011/03/18 07:14:35  arekm
- up to 1.4.2

Revision 1.71  2011/01/12 07:19:15  arekm
- up to 1.4.1

Revision 1.70  2010/11/22 08:56:14  qboosh
- updated BRs
- dropped invalidated doc bcond (no longer necessary for bootstrap)

Revision 1.69  2010/11/22 06:06:34  arekm
- up to 1.4.0; xcb is no longer optional

Revision 1.68  2010/10/16 09:14:00  arekm
- rel 3; revert latest change as it is not needed in multilib environment (just make sure you install the same package versions of botch arch)

Revision 1.67  2010/10/15 09:46:16  baggins
- rel 2
- moved libraries to -libs package for multiarch installs

Revision 1.66  2010/09/20 06:32:56  arekm
- up to 1.3.6

Revision 1.65  2010/08/12 04:39:11  arekm
- up to 1.3.5

Revision 1.64  2010/06/11 20:06:27  qboosh
- updated util-macros version

Revision 1.63  2010/06/04 05:07:06  arekm
- up to 1.3.4

Revision 1.62  2010/02/05 08:08:36  glen
- unify doc bcond

Revision 1.61  2010/01/16 21:02:12  arekm
- up to 1.3.3

Revision 1.60  2009/11/12 09:09:40  patrys
- rebuild without libpthread-stubs
- rel 2

Revision 1.59  2009/10/24 07:30:15  qboosh
- updated to 1.3.2

Revision 1.58  2009/10/24 02:03:36  sls
- added docs bcond (ghostscript requires libX11)

Revision 1.57  2009/10/19 17:00:48  qboosh
- package devel docs

Revision 1.56  2009/10/19 07:08:09  arekm
- up to 1.3.1

Revision 1.55  2009/10/04 21:12:48  qboosh
- glibc-locale_sync patch is back (updated), it also introduces iso8859-16 and koi8-t locales

Revision 1.54  2009/10/04 00:12:09  qboosh
- updated util-macros version
- better base descs
- updated BRs wrt xcb bcond

Revision 1.53  2009/10/02 06:38:05  arekm
- up to 1.3

Revision 1.52  2009/09/17 05:57:04  glen
- lang tags (as much as possible) for /usr/share/X11/locale

Revision 1.51  2009/09/04 08:40:54  arekm
- up to 1.2.99.901

Revision 1.50  2009/09/03 06:45:38  arekm
- up to 1.2.2

Revision 1.49  2009/06/15 19:25:09  hawk
- release 2

Revision 1.48  2009/04/11 00:23:22  qboosh
- updated to 1.2.1
- updated glibc-locale_sync patch

Revision 1.47  2009/03/04 06:19:48  qboosh
- updated xproto version

Revision 1.46  2009/03/02 10:31:43  glen
- silly typo; rel 3 (thx radek)

Revision 1.45  2009/02/27 00:06:11  glen
- %{_libdir}/X11 needs to be dir not symlink from ac upgrade; rel 2

Revision 1.44  2009/02/17 16:43:58  arekm
- up to 1.2

Revision 1.43  2008/11/07 21:57:25  arekm
- rel 2; R: libxcb >= 1.1.92 when built with xcb

Revision 1.42  2008/11/05 22:48:28  arekm
- up to 1.1.99.2 with back-off xcb mechanism

Revision 1.41  2008/09/09 16:20:42  qboosh
- updated to 1.1.5
- updated glibc-locale_sync patch

Revision 1.40  2008/03/08 00:00:37  qboosh
- updated glibc-locale_sync patch
- ghost soname symlink
- release 1

Revision 1.39  2008-03-07 07:11:06  arekm
- 1.1.4 but glibc sync patch needs update

Revision 1.38  2007-08-02 08:05:40  arekm
- up to 1.1.3

Revision 1.37  2007/07/23 16:05:46  witekfl
- added bcond_without static_libs

Revision 1.36  2007/06/11 08:13:02  arekm
- rel 2; fix bug that causes gimp (and others) crash

Revision 1.35  2007/06/04 06:20:14  arekm
- up to 1.1.2 [CVE-2007-1667]

Revision 1.34  2007/04/27 08:02:31  qboosh
- CVE reference

Revision 1.33  2007/02/19 14:57:22  arekm
- rel 3; rebuild to fix FileDigestParameterized rpm issue

Revision 1.32  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.30  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.29  2006/12/01 09:33:48  qboosh
- updated to 1.1.1

Revision 1.28  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.27  2006/11/24 11:14:26  qboosh
- one more xcb version

Revision 1.26  2006/11/24 11:07:22  arekm
- up to 1.1; enable xcb
  [fixes CVE-2006-5397]

Revision 1.25  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.24  2006/11/20 09:37:40  pluto
- release 2 (rebuild with P: *.la).

Revision 1.23  2006/11/03 08:59:55  qboosh
- updated to 1.0.99.2 (1.1 RC2)

Revision 1.22  2006/10/14 10:29:47  qboosh
- updated to 1.0.99.1, updated glibc-locale_sync patch
- xcb disabled by default

Revision 1.21  2006/06/30 09:33:39  qboosh
- updated to 1.0.3

Revision 1.20  2006/06/29 22:15:41  qboosh
- merged glibc-locale_sync patch from X11.spec, release 1

Revision 1.19  2006/06/23 08:30:45  qboosh
- updated to 1.0.2

Revision 1.18  2006/05/26 15:39:43  qboosh
- updated to 1.0.1

Revision 1.17  2006/05/24 22:07:41  pascalek
- revert last changes; back to 0.1 release (FHS carry _pixmapsdir)

Revision 1.16  2006/05/24 20:36:14  pascalek
- _pixmapsdir was added but not created

Revision 1.15  2006/05/24 20:16:15  pascalek
- Release 0.2; added _pixmapsdir directory

Revision 1.14  2005/12/27 13:54:11  qboosh
- sources from X11R7.0 release

Revision 1.13  2005/12/20 11:32:26  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.12  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.11  2005/12/04 10:29:17  qboosh
- 0.99.4 (X11R7.0-RC3)

Revision 1.10  2005/11/19 18:10:27  qboosh
- 0.99.3 (X11R7.0-RC2)

Revision 1.9  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.8  2005/10/20 22:06:29  qboosh
- BR: util-macros >= 0.99.1 (XORG_PROG_RAWCPP)

Revision 1.7  2005/10/20 14:00:15  qboosh
- BR: cpp (gcc doesn't suffice)

Revision 1.6  2005/10/20 13:56:57  qboosh
- 0.99.2 (X11R7.0-RC1)
- more docs, package Xcms.txt, own %{_libdir}/X11 dir

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.16  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.15  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.14  2005/02/15 00:57:44  zergin
- added ac patches

Revision 1.13  2004/05/22 21:25:21  qboosh
- more specific URL, updated ac dep, moved base docs to base

Revision 1.12  2004/05/22 15:14:10  qboosh
- desc fixes (s/extension/base/), pl, unifications

Revision 1.11  2004/03/12 22:26:19  adgor
- Release 5 - rebuild with '-DHASXDMAUTH'

Revision 1.10  2004/03/12 11:03:14  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.9  2004/03/10 11:11:34  pluto
- more BR:, R:, cosmetics...

Revision 1.8  2004/03/07 13:49:30  pluto
- removed redudant R/BR.

Revision 1.7  2004/03/06 22:52:10  adgor
- Added COPYING to %doc

Revision 1.6  2004/03/06 11:17:41  pluto
- R:

Revision 1.5  2004/03/06 08:53:12  pluto
- R:

Revision 1.4  2004/03/06 08:47:33  pluto
- R:, release 3.

Revision 1.3  2004/03/04 22:48:19  adgor
- Rel++

Revision 1.2  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.1  2004/03/02 21:23:54  adgor
- Initial
- Seems to work instead of libX11 from XFree86
